/*
 File: pager_2.cpp
 Date and Time: Sat Jan 31 11:58:48 2015 
*/
#include "pager_2.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_pager_2;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 10;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[4] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[5] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[6] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[7] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[8] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[9] =  new Per_rule_s_reuse_table();
}
  Cpager_2::
  Cpager_2()
    :yacco2::CAbs_fsm
      ("pager_2.lex"
      ,"1.0"
      ,"7 mar 2014"
      ,false
      ,"Test out David Pager LR(1) resolution page 61."
      ,"Sat Jan 31 11:58:48 2015 "
      ,S1_Cpager_2){
    
  }
 
Cpager_2::~Cpager_2(){

  for(int x = 0;x < 10;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cpager_2::failed(){
      return false;
  }
  void Cpager_2::op(){
}
int Cpager_2::rhs_to_rules_mapping_[25] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,1 // subrule 5 for rule 2
 ,1 // subrule 6 for rule 2
 ,1 // subrule 7 for rule 2
 ,1 // subrule 8 for rule 2
 ,1 // subrule 9 for rule 2
 ,2 // subrule 10 for rule 3
 ,3 // subrule 11 for rule 4
 ,4 // subrule 12 for rule 5
 ,4 // subrule 13 for rule 5
 ,5 // subrule 14 for rule 6
 ,5 // subrule 15 for rule 6
 ,6 // subrule 16 for rule 7
 ,6 // subrule 17 for rule 7
 ,7 // subrule 18 for rule 8
 ,7 // subrule 19 for rule 8
 ,7 // subrule 20 for rule 8
 ,7 // subrule 21 for rule 8
 ,8 // subrule 22 for rule 9
 ,8 // subrule 23 for rule 9
 ,9 // subrule 24 for rule 10
}; 
Rs::Rs(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rs",0,Cpager_2::R_Rs_,P,false,false){
}

Rg::Rg(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rg",0,Cpager_2::R_Rg_,P,false,false){
}

Rw::Rw(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rw",0,Cpager_2::R_Rw_,P,false,false){
}

Rv::Rv(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rv",0,Cpager_2::R_Rv_,P,false,false){
}

Rx::Rx(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rx",0,Cpager_2::R_Rx_,P,false,false){
}

Ry::Ry(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Ry",0,Cpager_2::R_Ry_,P,false,false){
}

Ru::Ru(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Ru",0,Cpager_2::R_Ru_,P,false,false){
}

Re::Re(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Re",0,Cpager_2::R_Re_,P,false,false){
}

Rc::Rc(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rc",0,Cpager_2::R_Rc_,P,false,false){
}

Rp::Rp(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rp",0,Cpager_2::R_Rp_,P,false,false){
}

